const fs = require('fs');
const path = require('path');
const files = fs.readdirSync('src/views/article');
const ncp = require("copy-paste");

// 首页地址（通过命令传入）
const url = process.argv[2] ? process.argv[2] : ''
if (!url) {
    console.log('\x1b[31m%s\x1b[0m', '×请输入首页地址');
    return false
}

// 忽略的文件
let ignoreFile = ['search_list.html', 'search_tips.html', '404.html']
let fileAry = [{
    url: `${url}`,
    title: '首页:'
}]

for (let index = 0; index < files.length; index++) {
    const item = files[index];
    if (path.extname(item) === '.html' && !ignoreFile.includes(item)) {
        let fileData = fs.readFileSync(`./src/views/article/${item}`, 'utf8')
        let title = fileData.match(/(?:"title":\s+")(.+)(?:")/)[1]
        fileAry.push({
            url: `${url +  'article/' + item}`,
            title: title + ':'
        })
    }
}

let str = `let nodeAry = ${JSON.stringify(fileAry)};
nodeAry.forEach((item) => {
    let p = document.createElement('p'),
        title = document.createElement('p'),
        a = document.createElement('a'),
        strNode = document.createTextNode(item.url),
        titleNode = document.createTextNode(item.title);
    a.setAttribute('href', item.url)
    a.append(strNode)
    title.append(titleNode)
    p.append(title)
    p.append(a)
    let editNode = $(window.frames["ueditor_0"])[0].contentDocument.body
    editNode.appendChild(p)
})
`
ncp.copy(str, function () {
    console.log('\x1b[32m%s\x1b[0m', '√已复制代码到剪贴板');
})